
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>数论四大定理 / 憋错料</title>

    <meta name="description" content="数论四大定理 威尔逊定理.欧拉定理.孙子定理.费马小定理并称数论四大定理. 威尔逊定理 若p为质数,则p可整除(p-1)!+1. 欧拉定理 欧拉定理,也称费马-欧拉定理. 若n,a为正整数,且n,a互素,即gcd(a,n) = 1,则 a^φ(n) ≡ 1 (mod n) 孙子定理 孙子定理,又称中国剩余定理. 公元前后的&lt;孙子算经&gt;中有“物不知数”问题:“今有物不知其数,三三数之余二 ,五五数之余三 ,七七数之余二,问物几何?”答为“23”. 明朝程大位用歌谣给出了该题的解法:“三人同行七十稀, ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">数论四大定理</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>威尔逊定理、欧拉定理、孙子定理、费马小定理并称数论四大定理。</p>
<h2>威尔逊定理</h2>
<p>若p为质数，则p可整除(p-1)!+1。</p>
<h2>欧拉定理</h2>
<p>欧拉定理，也称费马-欧拉定理。</p>
<p>若n,a为正整数，且n,a互素，即gcd(a,n) = 1，则</p>
<p>a^&phi;(n) &equiv; 1 (mod n)</p>
<h2>孙子定理</h2>
<p>孙子定理<strong>，</strong>又称中国剩余定理。</p>
<p>公元前后的《孙子算经》中有&ldquo;物不知数&rdquo;问题：&ldquo;今有物不知其数，三三数之余二 ，五五数之余三 ，七七数之余二，问物几何？&rdquo;答为&ldquo;23&rdquo;。</p>
<p>明朝程大位用歌谣给出了该题的解法：&ldquo;三人同行七十稀，五树梅花廿一枝，七子团圆月正半，除百零五便得知。&rdquo;</p>
<p>以现代的说法，是找出三个关键数70，21，15。解法的意思就是用70乘3除所得的余数，21乘5除所得的馀数，15乘7除所得的余数，然後总加起来，除以105的余数就是答案。</p>
<h2>费马小定理</h2>
<p>假如p是质数，若p不能整除a，则 a^(p-1) &equiv;1（mod p），若p能整除a，则a^(p-1) &equiv;0（mod p）。</p>
<p>若p是质数，且a,p互质，那么 a的(p-1)次方除以p的余数恒等于1。</p>
<p><strong>证明：</strong></p>
<p>因为p是质数，且（a，p)=1，所以&phi;(p)=p-1。由欧拉定理可得a^(p-1) &equiv;1（mod p）。证毕。对于该式又有a^p &equiv;a（mod p），所以，费马小定理的另一种表述为：假如p是质数，且(a,p)=1，那么a^p &equiv;a（mod p）。</p>
<h2>欧拉定理证明</h2>
<p>设x（1），x（2），...，x(&phi;(n))是一个以n为模的简系，则ax（1），ax（2），...，ax（&phi;(n) ）也是一个以n为模的简系（因为（a，n）=1）。</p>
<p>于是有ax（1）ax（2）...ax（&phi;(n) ）&equiv;x（1）x（2）...x(&phi;(n))（mod n），</p>
<p>所以a^&phi;(n) &equiv; 1 (mod n)。</p>
<p>证毕。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 00:41:58 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>数论四大定理的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41Ed2Y4.html" rel="bookmark">【数论四大定理】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				威尔逊定理.欧拉定理.孙子定理.费马小定理并称数论四大定理. [威尔逊定理] 当且仅当p为素数时:( p-1 )! ≡ -1(mod p): 即:如果p为合数,( p-1 )! mod p 答案为0:如果p为素数,那么由威尔逊定理可得( p-1 )! mod p的答案为n−1; [欧拉定理(费马-欧拉定理)] 若n, a为正整数,且n, a互质,则:aφ(n) ≡ 1 (mod n) 欧拉函数φ(n) 表示与 n互素且不超过n的正整数的个数: [费马小定理(Fermat Theory)] 若a是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0k8pdb3.html" rel="bookmark">数论篇5&mdash;&mdash;数论四大定理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数论四大定理: 威尔逊定理 欧拉定理 孙子定理(中国剩余定理) 费马小定理 1.威尔逊定理 在初等数论中,威尔逊定理给出了判定一个自然数是否为素数的充分必要条件. 当且仅当$p$为素数时 $(p-1)!\equiv-1(mod\ p)$ 简单点说就是,若$p$为质数,则$p$能被 $(p-1)!+1$ 整除 但是由于阶乘是呈爆炸增长的,其结论对于实际使用不太多. 证明 首先,可以明确 $(p-1)\equiv-1(mod\ p)$ 根据同余式的性质,我们只需要证明 $(p-2)!\equiv1(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mox6Qb0.html" rel="bookmark">CPC23-4-K&period; 喵喵的神数 （数论  Lucas定理）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				喵喵的神?数 Time Limit: 1 Sec Memory Limit: 128 MB Description 喵喵对组合数比較感兴趣,而且对计算组合数很在行. 同一时候为了追求有后宫的素养的生活,喵喵每天都要研究 质数. 我们先来复习一下什么叫做组合数.对于正整数P.T 然后我们再来复习一下什么叫质数.质数就是素数,假设说正整数N的约数仅仅有1和它本身,N就是质数:另外. 1不是质数. 今天,喵喵想要知道 Input 输入第一行是一个整数N(N&lt;=1000). 接下来N行,每行包含一个正整			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgEdY83.html" rel="bookmark">uva 10843 - Anne&amp;&num;39&semi;s game&lpar;数论cayley定理&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:uva 10843 - Anne's game 题目大意:给出n,问说有n个节点构成的标号树有多少种. 解题思路:cayley定理的躶题. #include &lt;cstdio&gt; #include &lt;cstring&gt; typedef long long ll; const ll MOD = 2000000011; ll Pow (ll x, ll n) { if (n &lt; 0) return 1; ll ans = 1; while (n) { if (n&amp;1)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a6AyJ3.html" rel="bookmark">数论&lpar;Lucas定理&rpar; HDOJ 4349 Xiao Ming&amp;&num;39&semi;s Hope</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目传送门 题意:求C (n,0),C (n,1),C (n,2)...C (n,n)中奇数的个数 分析:Lucas 定理:A.B是非负整数,p是质数.AB写成p进制:A=a[n]a[n-1]...a[0],B=b[n]b[n-1]...b[0].则组合数C(A,B)与C(a[n],b[n])*C(a[n-1],b[n-1])*...*C(a[0],b[0])  mod p同.即:Lucas (n,m,p)=C (n%p,m%p) * Lucas (n/p,m/p,p)  我是打表找规律的,就是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mgxelp0.html" rel="bookmark">数论：四大定理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在初等数论中,威尔逊定理给出了判定一个自然数是否为素数的充分必要条件.即:当且仅当p为素数时:( p -1 )! ≡ -1 ( mod p ),但是由于阶乘是呈爆炸增长的,其结论对于实际操作意义不大. Carmichaael number 原文地址:https://www.cnblogs.com/dragondragon/p/11294279.html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Kq8Vm4.html" rel="bookmark">数论&amp;&num;183&semi;威尔逊定理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				威尔逊定理: $(p-1)!\equiv -1(\mod p)$当且仅当$p$为素数. 证明:在模p(素数)的简化剩余系$S = \{1, 2, ..., p - 1\}$中,对任意$i\in S$, $\exists j$, $ s.t.$,  $ij \equiv 1(\mod p)$, 考虑这种性质具有对称性,若${i^2}\equiv1(\mod p)$,则$i\equiv{\pm1}({\mod p})$,因此$(p-1)!\mod p = 1(p-1)\mod p = -1$.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPRa5z3.html" rel="bookmark">算法竞赛中的数论经典定理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				素数定理:记为小于等于的素数个数,那么有 定理:设,,那么有 定理:设,,那么 定理:设,那么的值为 (1)为素数,那么答案就是 (2)有多个素因子,那么答案就是 (3)只有一个素因子,那么答案就是该素因子 定理:设为Fib数,那么有 定理:给定两个互素的正整数和,那么它们最大不能组合的数为,不能组合的数的个数为 定理:     (满足积性函数) 定理: 定理:任何个连续的正整数的乘积均可被整除 关于上述定理的两个结论 (1)如果是素数,那么均能被整除     证明:如果,那么有,由于与素数,那			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXjwGq3.html" rel="bookmark">Bzoj 4591&colon; &lbrack;Shoi2015&rsqb;超能粒子炮&amp;&num;183&semi;改  数论&comma;Lucas定理&comma;排列组合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4591: [Shoi2015]超能粒子炮·改 Time Limit: 10 Sec  Memory Limit: 256 MBSubmit: 178  Solved: 70[Submit][Status][Discuss] Description 曾经发明了脑洞治疗仪&amp;超能粒子炮的发明家SHTSC又公开了他的新发明:超能粒子炮·改--一种可以发射威力更加 强大的粒子流的神秘装置.超能粒子炮·改相比超能粒子炮,在威力上有了本质的提升.它有三个参数n,k.它会 向编号为0到k的位置发射威力为C(n			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eAAa0.html" rel="bookmark" class="title">学习Python的urllib模块</a>
					<div>
						 urllib 模块作为Python 3 处理 URL 的组件集合,如果你有 Python 2 的知识,那么你就会注意到 Python 2 中有 urllib 和 urllib2 两个版本的模块,这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47pDD9M.html" rel="bookmark" class="title">php使用curl模拟登录带验证码的网站</a>
					<div>
						需求是这样的,需要登录带验证码的网站,获取数据,但是不可能人为一直去记录数据,想通过自动采集的方式进行,如下是试验出来的结果代码!有需要的可以参考下! &lt;?php namespace Home\ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n1KK7M.html" rel="bookmark" class="title">Ubuntu下配置Tomcat</a>
					<div>
						jdk:配置:http://www.cnblogs.com/liunanjava/p/4296540.html 一.下载 地址:http://tomcat.apache.org/download-80 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mywapp3.html" rel="bookmark" class="title">EBImage - - 给图片增加字符</a>
					<div>
						EBImage中文文档 英文版出处:http://www.bioconductor.org/packages/release/bioc/vignettes/EBImage/inst/doc/EBIma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lrDqE4.html" rel="bookmark" class="title">【网络】IP地址格式转换（htonl、ntohl；inet&lowbar;addr、inet&lowbar;ntoa）</a>
					<div>
						1.htonl ()和ntohl( ) u_long PASCAL FAR ntohl (u_long netlong); u_short PASCAL FAR ntohs (u_short nets ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O7exg3.html" rel="bookmark" class="title">&num;269（div2&rpar; B&period; MUH and Important Things</a>
					<div>
						题意:有n个数字,代表第i个的难度为a[i],问是否有三种不同的序列使得难度从低到高 思路:那么难度相同的对肯定要&gt;=2,然后瞎搞,嗯,瞎搞就行了 1 #include&lt;bits/stdc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M62bqWM.html" rel="bookmark" class="title">（转）Log4j详解</a>
					<div>
						一.Log4j简介 Log4j有三个主要的组件:Loggers(记录器),Appenders (输出源)和Layouts(布局).这里可简单理解为日志类别,日志要输出的地方和日志以何种形式输出.综合使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgPdNr0.html" rel="bookmark" class="title">cobbler安装配置脚本</a>
					<div>
						#!/bin/bash yum -y install cobbler httpd cobbler-web debmirror pykickstart service cobblerd start se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mom1ky3.html" rel="bookmark" class="title">008&lowbar;01WEB基础知识</a>
					<div>
						WEB,在英语中web即表示网页的意思,它用于表示Internet SERVER 上供外界访问的资源. Internet上供外界访问的Web资源分为: 静态web资源(如html 页面):指web页面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoxGgP0.html" rel="bookmark" class="title">SQLserver的存储过程</a>
					<div>
						存储过程 [Create是创建存储过程,alter是更改.改变存储过程] [在第一次写存储过程时用create,若修改存储过程程序之后,则alter替换create再执行] [在数据库中begin   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ey8jJ0.html" rel="bookmark" class="title">go学习笔记2</a>
					<div>
						默认自动初始化: Go引入了零值的概念,即每个对象被创建的时候,默认初始化为它相应类型的零 值.例如,string为&quot;&quot;,指针为nil,int为0等等,这样就保证了变量在使用时,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AApYg4.html" rel="bookmark" class="title">python课程day1</a>
					<div>
						本节内容 Python介绍 发展史 Python 2 or 3? 安装 Hello World程序 变量 用户输入 模块初识 .pyc是个什么鬼? 数据类型初识 数据运算 表达式if ...else语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXl2ewM.html" rel="bookmark" class="title">mockjs、fiddler模拟前后端交互</a>
					<div>
						mockjs是用于mock数据(造假数据)的组件. mockjs官网链接为:http://mockjs.com/:mockjs官网有mockjs的源代码.API以及示例. mockjs拦截ajax请求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kloP73.html" rel="bookmark" class="title">IE9下PDF图片无法正常打开</a>
					<div>
						当网页是用pdf显示图片时,其他浏览器下点击照片可以正常预览照片.但是IE9下确实显示:点击照片,下载保存照片.而且点击下载或者查看后,无法显示正常的图片. 具体如下: 解决方法步骤: a.这个图片是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e9ajp0.html" rel="bookmark" class="title">Mycat实现读写分离（二）</a>
					<div>
						准备数据库 这里准备一个一主多从的传统架构数据库:一主多从 Master 172.18.0.13 3306 Slave1 172.18.0.14 3306 Slave2 172.18.0.30 330 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEjOKQ0.html" rel="bookmark" class="title">Linux编译错误怎么办不是代码问题</a>
					<div>
						%5B%E5%BC%80%E6%BA%90%5DPython%E5%BC%80%E5%8F%91%E7%9A%84%E7%BD%91%E7%AB%99%E7%A8%8B%E5%BA%8F https: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dEoWz3.html" rel="bookmark" class="title">将复杂的大任务拆分成多个简单的小任务进行计算</a>
					<div>
						package thread; import java.util.concurrent.ExecutionException; import java.util.concurrent.ForkJoin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41enpv4.html" rel="bookmark" class="title">UI--普通控件总结1--控件使用</a>
					<div>
						本文目录 0.UIView常用的属性和操作 0_1.UIView常见的属性 0_2.UIView状态 0_3.UIView常用的方法 1.文本框UITextField和文本视图UITextView 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0agxvE4.html" rel="bookmark" class="title">SSRS 数据源链接不上出现 Login failed Error</a>
					<div>
						SSRS项目Deploy到LocalHost之后,使用Windows账号验证,在Test connection时,出现Error: Login failed for user 'NT AUTHORIT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPB2Zm3.html" rel="bookmark" class="title">for循环与while循环组合使用</a>
					<div>
						适用于内层while循环中的产生的某个条件依赖于外部的for循环 例子如下 public class Test {     public static void main(String[] args) ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
